Required Upgrade for TD Ameritrade NinjaTrader 8 Users

Effective January 1st, 2020, TD Ameritrade will be increasing security by requiring a new authentication process. As a result, all users connecting through TD Ameritrade must upgrade to NinjaTrader 8.0.20.0 or newer to avoid a lapse in service.

You can download the latest version of NinjaTrader 8 here.

After upgrading you must go to Connections > Configure, select your TD Ameritrade connect, and select Authorize to set up.

Please let us know if you have any question or need any help with the migration by contacting us at [email protected].

If your account is not authorized after upgrading and you attempt to connect, the following error will be displayed.

You can view the TD Ameritrade Connection Guide here.